* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body {
  width: 100%;
  height: 100%;
  overflow: hidden;

    font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

button, h2 {
    font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.split-container {
  display: flex;
  width: 100%;
  height: 100vh;
  transition: all 0.6s ease;
}

.names {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 9;
  user-select: none;
  /* background-color: #fff; */
}

.split {
  flex: 1;
  overflow: hidden;
  transition: flex 0.6s ease;
  position: relative;
  cursor: pointer;
}

.split img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.6s ease;
}

.names h2 {
  opacity: 0;
  display: none;
background: rgba(255, 255, 255, 0.85);
border-radius: 4px;
box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
backdrop-filter: blur(5px);
-webkit-backdrop-filter: blur(5px);
border: 1px solid rgba(255, 255, 255, 0.3);
text-align: center;
  padding: 15px 32px;
  font-size: 56px;
  text-transform: uppercase;
  font-weight: 500;
}

/* Gdy najechano na lewą */
.split-container.hover-left .left {
  flex: 0.6;
}

.split-container.hover-left .names h2:first-child {
 opacity: 1;
 display: block;
}

.split-container.hover-left .right {
  flex: 0.4;
filter: blur(3px) grayscale(1);

}

/* Gdy najechano na prawą */
.split-container.hover-right .right {
  flex: 0.6;
}

.split-container.hover-right .names h2:last-child {
 opacity: 1;
 display: block;
}

.split-container.hover-right .left {
  flex: 0.4;
filter: blur(3px) grayscale(1);
}

@media (max-width: 768px) {

  /* Gdy najechano na lewą */
.split-container.hover-left .left {
  flex: 0.8;
}

.split-container.hover-left .right {
  flex: 0.2;

}

/* Gdy najechano na prawą */
.split-container.hover-right .right {
  flex: 0.8;
}

.split-container.hover-right .left {
  flex: 0.2;
}
}

/* Subtelne powiększenie obrazka */
.split-container.hover-left .left img,
.split-container.hover-right .right img {
  transform: scale(1.05);
}

.split, 
.split img {
  outline: none;
  -webkit-tap-highlight-color: transparent;
}

.split:focus,
.split img:focus {
  outline: none;
  box-shadow: none;
}

.logo {
 position: absolute;
top: 10vh;
left: 50%;
transform: translate(-50%, 0);
z-index: 4;
background-color: #fff;
width: 150px;
height: 150px;
display: flex;
align-items: center;
justify-content: center;
flex-direction: column;
}


/* HERO CALENDAR */

  .calendar {
    position: absolute;
    bottom: calc(5vw - 30px);
    left: 0;
    height: 0;
    width: 100%;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    z-index: 99 !important;
    display: none;
  }

  .calendar__container {
    display: flex;
    align-items: center;
    background-color: #fff;
    height: 60px;
    width: min-content;
    box-shadow: rgba(0, 0, 0, 0.07) 0px 1px 2px, rgba(0, 0, 0, 0.07) 0px 2px 4px, rgba(0, 0, 0, 0.07) 0px 4px 8px, rgba(0, 0, 0, 0.07) 0px 8px 16px, rgba(0, 0, 0, 0.07) 0px 16px 32px, rgba(0, 0, 0, 0.07) 0px 32px 64px;
  }

  .calendar__container svg {
    height: 20px;
    fill: #1f1f1f;
    position: absolute;
    right: 20px;
    z-index: 1;
  }

  .calendar__container .inputsDate .placeholder {
    position: absolute;
    cursor: pointer;
    width: 100%;
    height: 100%;
    z-index: 2;
    color: #1f1f1f;
    display: flex;
    align-items: center;
    background: transparent;
    padding: 0 0 0 20px;
    font-size: 12px;
  }

  .calendar__container .inputsNumber input {
    position: absolute;
    right: 50px;
  }

  .calendar__container .inputsNumber .placeholder {
    position: absolute;
    cursor: pointer;
    height: 100%;
    color: #1f1f1f;
    display: flex;
    align-items: center;
    background: transparent;
    padding: 0 0 0 20px;
    font-size: 12px;
  }

  .calendar__container .send {
    width: 210px;
    height: 100%;
    display: flex;
  }

  .calendar__container .send button {
    width: 100%;
    border: none;
    background-color: #00416d;
    color: #fff;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .3s ease-in-out;
    text-transform: uppercase;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
  }

  .calendar__container .send button:hover {
    background-color: #1f1f1f;
  }

  .calendar__container input::placeholder {
    color: #1f1f1f;
  }

  .calendar__container .quantity {
    position: relative;
  }

  .calendar__container .quantity input[type=number]::-webkit-inner-spin-button,
  .calendar__container .quantity input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  .calendar__container .quantity input[type=number] {
    -moz-appearance: textfield;
  }

  .calendar__container .quantity input {
    text-align: center;
    padding: 0;
    margin: 0;
    border: none;
    font-size: 15px;
  }

  .calendar__container .quantity input:focus {
    outline: 0;
  }

  .calendar__container .quantity .quantity-nav {
    position: absolute;
    right: 0;
    display: flex;
    flex-direction: column;
  }

  .calendar__container .quantity .quantity-button {
    position: relative;
    cursor: pointer;
    border-left: 1px solid #e6e6e6;
    width: 40px;
    height: 30px;
    color: #1f1f1f;
    font-size: 20px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .calendar__container .quantity .quantity-button.quantity-down {
    border-top: 1px solid #e6e6e6;
  }

  .swiper-button-next, .swiper-button-prev {
    color: var(--bright-font);
  }

  @media screen and (min-width: 1023px) {

    .calendar {
      display: flex;
    }

    .calendar__container .send button {
      box-shadow: none;
    }

    .calendar__container .inputsDate {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 210px;
      height: 100%;
      position: relative;
      -webkit-user-select: none;
      /* Safari */
      -moz-user-select: none;
      /* Firefox */
      -ms-user-select: none;
      /* Internet Explorer/Edge */
      user-select: none;
      /* Standard */
    }

    .calendar__container .inputsNumber {
      display: flex;
      align-items: center;
      width: 210px;
      height: 100%;
      position: relative;
      -webkit-user-select: none;
      /* Safari */
      -moz-user-select: none;
      /* Firefox */
      -ms-user-select: none;
      /* Internet Explorer/Edge */
      user-select: none;
      /* Standard */
    }

    .calendar__container .divider {
      display: block;
      width: 1px;
      height: 100%;
      background-color: #e6e6e6;
    }

    .navbar__container .bar {
      padding: 0 5vw;
    }
  }